#include <QMessageBox>
#ifdef Q_WS_MAEMO_5
#include "maemo5locationprivate.h"
#else
#include "Maemo5Location_stub.h"
#endif
#include "maemo5location.h"

/**
  *Default constructor of this class.
  *@param QObject pointer to parent object. By default the value is NULL.
  */
Maemo5Location::Maemo5Location(QObject* parent):QObject(parent)
{
   // QMessageBox::about(new QWidget(),"Connect to gps","");
    ptr = new Maemo5LocationPrivate(this);
    connect(ptr,SIGNAL(agnss()),this,SIGNAL(agnss()));
    connect(ptr,SIGNAL(awcp()),this,SIGNAL(awcp()));
    connect(ptr,SIGNAL(locationUpdated()),this,SIGNAL(locationUpdated()));
    connect(ptr,SIGNAL(connected()),this,SIGNAL(connected()));
    ptr->get_agnss();
}

/**
  *Destructor of this class. Should be used to release all allocated resources.
  */
Maemo5Location::~Maemo5Location()
{
    delete ptr;
}
double Maemo5Location::getLatitude()
{
    return ptr->get_lat();
}
double Maemo5Location::getLongitude()
{
    return ptr->get_lon();
}
