#ifndef MAEMO5LOCATIONPRIVATE_H
#define MAEMO5LOCATIONPRIVATE_H

//We have to declare these header file inside extern, since these modules are actually c modules not c++
extern "C"
{
#include <location-gps-device.h>
#include <location-gpsd-control.h>
}

#include <QObject>
#include "maemo5location.h"

class Maemo5LocationPrivate : public QObject
{
    Q_OBJECT
    public:
        Maemo5LocationPrivate(Maemo5Location* location);
        ~Maemo5LocationPrivate();
        void get_acwp();
        void get_agnss();
        friend void gps_data_changed(LocationGPSDevice *device, Maemo5LocationPrivate *gps);
        friend void gps_data_connected(LocationGPSDevice *device, Maemo5LocationPrivate *gps);
        double get_lat() { return latitude; }
        double get_lon() { return longitude; }
    signals:
        void awcp();
        void agnss();
        void locationUpdated();
        void connected();
    private:
        void stop();
        void restart();
    //private data
    private:
        double latitude;
        double longitude;

        Maemo5Location* d_ptr;
        GMainLoop *loop;
        int usegps;
        LocationGPSDControl *control;
        LocationGPSDevice *device;
};

void gps_data_changed(LocationGPSDevice *device, Maemo5LocationPrivate *gps);
void gps_data_connected(LocationGPSDevice *device, Maemo5LocationPrivate *gps);
#endif // MAEMO5LOCATIONPRIVATE_H
