#ifndef XMLPARSER_H
#define XMLPARSER_H

#include <QtCore/QCoreApplication>
#include <QXmlStreamReader>
#include <QXmlStreamWriter>
#include <QObject>
#include <QFile>
#include <QMessageBox>
#include <QDate>
#include "mainwindow.h"

class xmlParser
{
public:
    /* Constructor of the class */
    xmlParser();
    /* Destructor of the class */
    ~xmlParser();

    /*This function creates client's messages in xml -format from the given inputs.
      Note ! In order to send pure character strings without linebreaks nor xml -headers,
      xml autoformatting must be disabled and xml file header insertion is omitted.
      @param QString header
      @param QString date
      @param QString content
      @param QString latitude
      @param QString longitude
      @return
      */
    bool writeXmlData(QString header, QDate date, QString content, QString latitude, QString longitude);
};

#endif // XMLPARSER_H
